Move a Node - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v2.0 / flows / {flowId} / chart / nodes / {nodeId} / move
Move a Node
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"target": "<string>",
"position": 42
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move"
payload = {
"target": "<string>",
"position": 42
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: '<string>', position: 42})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => '<string>',
'position' => 42
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move"
payload := strings.NewReader("{\n \"target\": \"<string>\",\n \"position\": 42\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"target\": \"<string>\",\n \"position\": 42\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/{nodeId}/move")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": \"<string>\",\n \"position\": 42\n}"
response = http.request(request)
puts response.read_body
Response Codes
- 204: Successfully moved ChartNode.
Error Responses
| Code | Type | Title | Description |
|---|---|---|---|
| 400 | Bad Request | Bad Request Error | Validation failed. Missing payload. |
| 401 | Unauthorized | Unauthorized Error | |
| 402 | Payment Required | Payment Required Error | Validation failed. Missing payload. |
| 403 | Forbidden | Forbidden Error | |
| 404 | Not Found | Not Found Error | |
| 405 | Method Not Allowed | Method Not Allowed Error | |
| 409 | Conflict | Conflict Error | |
| 413 | Payload Too Large | Payload Too Large Error | |
| 500 | Internal Server Error | Internal Server Error | |
| 501 | Not Implemented | Not Implemented Error | |
| 502 | Bad Gateway | Bad Gateway Error | |
| 503 | Service Unavailable | Service Unavailable Error | |
| 504 | Gateway Timeout | Gateway Timeout Error |
Authorizations
- APIKeyHeader: Required API Key in the HTTP-Header.
Headers
Accept
- The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- flowId: The unique identifier for the Flow. Required string length:
24 - nodeId: The Id of the Node. Required string length:
24
Body
JSON Payload
- target: Required string length:
24 - mode: enum options:
append,prepend,appendChild,prependChild,insertChildAt,insertAfter,insertBefore - position: Required range:
0 <= x <= 2147483647